package com.jz.common.utils;

import java.util.UUID;

/**
 * @ClassName: CodeGeneratorUtil
 * @Description: TODO(按照规则生成编码工具类)
 * @author ybz
 * @date 2021年1月19日
 *
 */
public class CodeGeneratorUtils {
	//任务起始版本
	private static final String TASKVERSION_START = "V1.0";
	
	/**  
	* @Title: generatorNextTaskVesion  
	* @Description: TODO(任务版本生成)  
	* @param @param version
	* @param @return
	* @param @throws Exception    参数  
	* @return String    返回类型  
	* @throws  
	*/ 
	public static String generatorNextTaskVesion(String version)throws Exception{
		if (StringUtils.isEmpty(version)) {//如果没有版本，则返回开始版本
			return TASKVERSION_START;
		}
		
		String[] strs = version.substring(1, version.length()).split(".");
		
		Integer number_1 = Integer.parseInt(strs[0]);
		Integer number_2 = Integer.parseInt(strs[1]);
		
		if (number_2 + 1 > 9) {
			number_2 = 0;
			number_1 += 1;
		}else {
			number_2 += 1;
		}
		
		return "V"+number_1+"."+number_2;
	}
	
	/**  
	* @Title: generatorTraceId  
	* @Description: TODO(这里用一句话描述这个方法的作用)  
	* @param @return
	* @param @throws Exception    参数  
	* @return String    返回类型  
	* @throws  
	*/ 
	public static String generatorTraceId()throws Exception{
		String uuid = UUID.randomUUID().toString();
		return uuid.replace("-", "");
	}
	


}
