package com.jz.dmp.modules.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

public class DmpWorkFlowSubmitDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long scheduleProjectId;
    private String scheduleFlowName;
    private String nodeName;
    private String nodeData;
    @JsonProperty(access = Access.WRITE_ONLY)
    private byte[] nodeDataBytes;
    private Integer version;
    private Integer isGziped;
    private String createdBy;
    private Date createdTime;

    private String createTimeStr;

    public Long getScheduleProjectId() {
        return scheduleProjectId;
    }

    public void setScheduleProjectId(Long scheduleProjectId) {
        this.scheduleProjectId = scheduleProjectId;
    }

    public String getScheduleFlowName() {
        return scheduleFlowName;
    }

    public void setScheduleFlowName(String scheduleFlowName) {
        this.scheduleFlowName = scheduleFlowName;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getNodeData() {
        return nodeData;
    }

    public void setNodeData(String nodeData) {
        this.nodeData = nodeData;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public byte[] getNodeDataBytes() {
        return nodeDataBytes;
    }

    public void setNodeDataBytes(byte[] nodeDataBytes) {
        this.nodeDataBytes = nodeDataBytes;
    }

    public Integer getIsGziped() {
        return isGziped;
    }

    public void setIsGziped(Integer isGziped) {
        this.isGziped = isGziped;
    }

    public String getCreateTimeStr() {
        if (createdTime != null) {
            SimpleDateFormat time = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            createTimeStr = time.format(createdTime);
        }
        return createTimeStr;
    }

    public void setCreateTimeStr(String createTimeStr) {
        this.createTimeStr = createTimeStr;
    }
}
